<!-- <div mat-dialog-title> -->

    <h3 mat-dialog-title>
        <b> Worker : {{data.worker}} </b>
        <b style="float: right;">Vehicle : {{data.vehicle}}</b>
    </h3>

<!-- </div> -->
<mat-dialog-content class="mat-typography" style="padding-left: 4%;">
<h3 align="center" *ngIf="workDetails.length==0">No schedules till now</h3>
    <div *ngIf="workDetails.length>0" #container class="content-card" style="overflow: auto;
    max-height: 608px;
    margin-top: -60px;">
        <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
            <ng-container matColumnDef="Date">
                <mat-header-cell *matHeaderCellDef mat-sort-header>Date</mat-header-cell>
                <mat-cell *matCellDef="let workDetails">
                    <p class="text-truncate">{{workDetails.date | date}}</p>
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="Status">
                <mat-header-cell *matHeaderCellDef mat-sort-header>Status</mat-header-cell>
                <mat-cell *matCellDef="let workDetails">
                    <mat-icon *ngIf="workDetails.status=='pending'" class="active-icon red-500 s-16">close</mat-icon>
                    <mat-icon *ngIf="workDetails.status=='completed'" class="active-icon green-600 s-16">check</mat-icon>
                    &nbsp;&nbsp;
                    <p style="margin-top: 12px;" class="text-truncate">{{workDetails.status}}</p>
                </mat-cell>
            </ng-container>
            <ng-container matColumnDef="Action">
                <mat-header-cell *matHeaderCellDef mat-sort-header>Action</mat-header-cell>
                <mat-cell *matCellDef="let workDetails">
                    <button *ngIf="workDetails.status=='pending'" mat-raised-button color="accent"
                        (click)="updateStatus(workDetails)">Work done</button>
                </mat-cell>
            </ng-container>
    
            <mat-header-row *matHeaderRowDef="displayedColumns"> </mat-header-row>
            <mat-row *matRowDef="let workDetails; columns: displayedColumns;" class="example-element-row"
                [class.example-expanded-row]="expandedElement === workDetails"></mat-row>
        </table>
        <mat-paginator [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>
    
    </div>
</mat-dialog-content>


<mat-dialog-actions *ngIf="workDetails.length>0" style="justify-content: space-evenly;">
    <div style="display: inline-flex;">
        <button mat-raised-button color="accent" (click)="export()">
            Export
        </button>
        &nbsp;
        <button mat-raised-button color="accent" (click)="cancel()">
            Close
        </button>
    </div>
</mat-dialog-actions>